%define shortname linuxtag
%define name gdesklets-%{shortname}
%define version 0.11
%define release 2mdk
%define archivename %{shortname}-desklets-%{version}

Name:           %{name}
Summary:        LinuxTag Edition displays for gDesklets
Version:        %{version}
Release:        %{release}
Url:		http://www.pycage.de/software_gdesklets.html
Source0:	%{archivename}.tar.bz2
Source1:	Makefile_install_scripts.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Provides:       gdesklets-display
Requires:	gdesklets
Requires:	gdesklets-clock
Requires:	gdesklets-acpi
Requires:	gdesklets-externalsensor

%description
These are the displays showed off at the LinuxTag 2003 in Karlsruhe.
The Clock, ACPI and External sensors are required.

To add the display, use :
  gdesklets-add-battery-linuxtag-display
  gdesklets-add-clock-linuxtag-display
  gdesklets-add-diskfree-linuxtag-display
  gdesklets-add-memfree-linuxtag-display
  gdesklets-add-top-linuxtag-display
  gdesklets-add-weather-linuxtag-display

%prep
%setup -q -n %{archivename} -a 1

%build
for d in *.display; do mv "$d" "${d%.display}-linuxtag.display"; done
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README
%{_datadir}/gdesklets/Displays
%{_datadir}/gdesklets/Sensors
%{_bindir}/gdesklets-add-*-linuxtag-display

%changelog
* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11-2mdk
- update source1 for 0.30

* Fri Aug 22 2003 Olivier Blin <oliv.blin@laposte.net> 0.11-1mdk 
- Initial release for Mandrake
  thanks to Jason Tacakberry <tack@auc.ca> (RH packager) for his help
- Creation of Makefile and install scripts
- Creation of gdesklets-add-*-display scripts to add new displays
